<?php

/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 5;
$toolId = $this->toolID;
$listId = 20;
$listName = 'Schuelerstundplangrafik';
$subGroup = 'Schülerstundenplan';

$settingsArray = array();

$setting = new Setting();
$setting->name = 'title1';
$setting->description = 'Überschrift';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'title2';
$setting->description = 'Untertitel';
$setting->subGroup = $subGroup;
$setting->help = '(für max. 2 Zeilen)';
$setting->toolId = $toolId;
$setting->config->size = 3;
$setting->config->loadConfiguration(SC_TEXTBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'portrait';
$setting->description = 'Druckausgabe';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_MULTIHYBRID);
$setting->config->items['radio'] = array(1 => 'Hochformat', 0 => 'Querformat');
$setting->disabled = array();
$setting->disabled[1] = true;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'ktStatusPdfListeGrafikUseParent';
$setting->description = 'Kurstagstatus-Einstellungen des Tools übernehmen';
$setting->subGroup = $subGroup;
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$objSettings = \ToolSettingsAPI::getToolSettings($toolId);
$settingsArray = \Kufer\Admin\Classes\Settings\Helper\Tools\ReiterTermine::addReiterTerminKurstagStatus($toolId, $objSettings, $settingsArray, $subGroup, '', 'ktStatusPdfListeGrafik', '');